package intrinsic.flash.display;

public class Stage extends intrinsic.flash.display.DisplayObjectContainer {

	/** Accessors */
	public intrinsic.flash.geom.Rectangle fullScreenSourceRect;
	public intrinsic.flash.display.NativeWindow nativeWindow;
	public intrinsic.flash.text.TextSnapshot textSnapshot;
	public String quality;
	public double width;
	public double height;
	public boolean mouseChildren;
	public intrinsic.flash.display.InteractiveObject focus;
	public double frameRate;
	public int numChildren;
	public boolean tabChildren;
	public String displayState;
	public String align;
	public String scaleMode;
	public boolean stageFocusRect;
	public boolean showDefaultContextMenu;
	public int stageHeight;
	public int stageWidth;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Stage() {
}


/** Static Methods */

/** Methods */
public native boolean isFocusInaccessible();
public native void setChildIndex(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native intrinsic.flash.display.DisplayObject addChildAt(intrinsic.flash.display.DisplayObject arg0, int arg1);
public native boolean dispatchEvent(intrinsic.flash.events.Event arg0);
public native void swapChildrenAt(int arg0, int arg1);
public native boolean hasEventListener(String arg0);
public native boolean willTrigger(String arg0);
public native void addEventListener(String arg0, intrinsic.Function arg1);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public native intrinsic.flash.display.DisplayObject removeChildAt(int arg0);
public native intrinsic.flash.display.DisplayObject addChild(intrinsic.flash.display.DisplayObject arg0);
public native void invalidate();

}
